## python-aodhclient 0.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr<2.0,>=1.4
Babel>=1.3
cliff!=1.16.0,>=1.14.0  # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
keystoneauth1>=1.0.0
six
futurist

=== debian/changelog ===
python-aodhclient (0.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 10:20:09 +0000

python-aodhclient (0.3.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 03:19:22 +0000

python-aodhclient (0.1.0-1) experimental; urgency=medium

  * Initial release. (Closes: #813198)

 -- Thomas Goirand <zigo@debian.org>  Sat, 30 Jan 2016 20:59:16 +0800

=== debian/control ===
Source: python-aodhclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel (>= 1.3),
                     python-cliff (>= 1.14.0),
                     python-coverage,
                     python-futurist,
                     python-hacking,
                     python-keystoneauth1 (>= 1.0.0),
                     python-keystonemiddleware,
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-six,
                     python-tempest-lib (>= 0.9.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-babel (>= 1.3),
                     python3-cliff (>= 1.14.0),
                     python3-futurist,
                     python3-keystoneauth1 (>= 1.0.0),
                     python3-keystonemiddleware,
                     python3-oslo.i18n (>= 1.5.0),
                     python3-oslo.serialization (>= 1.4.0),
                     python3-oslo.utils (>= 2.0.0),
                     python3-oslotest (>= 1.10.0),
                     python3-six,
                     python3-subunit,
                     python3-tempest-lib (>= 0.9.0),
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-aodhclient.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-aodhclient.git
Homepage: http://www.openstack.org
XS-Testsuite: autopkgtest

Package: python-aodhclient
Architecture: all
Depends: python-babel (>= 1.3),
         python-cliff (>= 1.14.0),
         python-futurist,
         python-keystoneauth1 (>= 1.0.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 2.0.0),
         python-pbr (>= 1.8),
         python-six,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-aodhclient-doc,
Description: OpenStack Alarming as a Service - Python 2.7 client
 Aodh provides alarming for OpenStack. The alarming component of Aodh, first
 delivered in the Havana version, allows you to set alarms based on threshold
 evaluation for a collection of samples. An alarm can be set on a single meter,
 or on a combination. For example, you may want to trigger an alarm when the
 memory consumption reaches 70% on a given instance if the instance has been up
 for more than 10 min.
 .
 This package contains the Python 2.7 module.

Package: python3-aodhclient
Architecture: all
Depends: python3-babel (>= 1.3),
         python3-cliff (>= 1.14.0),
         python3-futurist,
         python3-keystoneauth1 (>= 1.0.0),
         python3-oslo.i18n (>= 1.5.0),
         python3-oslo.serialization (>= 1.4.0),
         python3-oslo.utils (>= 2.0.0),
         python3-pbr (>= 1.8),
         python3-six,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-aodhclient-doc,
Description: OpenStack Alarming as a Service - Python 3.x client
 Aodh provides alarming for OpenStack. The alarming component of Aodh, first
 delivered in the Havana version, allows you to set alarms based on threshold
 evaluation for a collection of samples. An alarm can be set on a single meter,
 or on a combination. For example, you may want to trigger an alarm when the
 memory consumption reaches 70% on a given instance if the instance has been up
 for more than 10 min.
 .
 This package contains the Python 3.x module.

Package: python-aodhclient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack Alarming as a Service - client doc
 Aodh provides alarming for OpenStack. The alarming component of Aodh, first
 delivered in the Havana version, allows you to set alarms based on threshold
 evaluation for a collection of samples. An alarm can be set on a single meter,
 or on a combination. For example, you may want to trigger an alarm when the
 memory consumption reaches 70% on a given instance if the instance has been up
 for more than 10 min.
 .
 This package contains the client documentation.

=== debian/tests/control ===
Tests: client
Depends: python-aodhclient

## python-aodhclient 0.6.0

=== requirements.txt ===
--- 
+++ 
@@ -3,11 +3,10 @@
 # process, which may cause wedges in the gate later.
 
 pbr<2.0,>=1.4
-Babel>=1.3
 cliff!=1.16.0,>=1.14.0  # Apache-2.0
 oslo.i18n>=1.5.0 # Apache-2.0
 oslo.serialization>=1.4.0 # Apache-2.0
 oslo.utils>=2.0.0 # Apache-2.0
 keystoneauth1>=1.0.0
 six
-futurist
+debtcollector

=== debian/changelog ===
python-aodhclient (0.6.0-1+18~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/gbp.conf: Update debian-branch for Newton.
  * d/tests/*: Test python2-aodh and python3-aodh clients and exit on error.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 12 Sep 2016 20:36:34 +0000

=== debian/control ===
--- 
+++ 
@@ -13,39 +13,38 @@
                python3-all,
                python3-pbr (>= 1.8),
                python3-setuptools,
-Build-Depends-Indep: python-babel (>= 1.3),
-                     python-cliff (>= 1.14.0),
+Build-Depends-Indep: python-cliff (>= 1.14.0),
                      python-coverage,
-                     python-futurist,
-                     python-hacking,
+                     python-debtcollector,
                      python-keystoneauth1 (>= 1.0.0),
                      python-keystonemiddleware,
+                     python-mock (>= 1.2),
                      python-oslo.i18n (>= 1.5.0),
                      python-oslo.serialization (>= 1.4.0),
                      python-oslo.utils (>= 2.0.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
                      python-six,
-                     python-tempest-lib (>= 0.9.0),
+                     python-tempest (>= 1:10.0.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
-                     python3-babel (>= 1.3),
                      python3-cliff (>= 1.14.0),
-                     python3-futurist,
+                     python3-debtcollector,
                      python3-keystoneauth1 (>= 1.0.0),
                      python3-keystonemiddleware,
+                     python3-mock (>= 1.2),
                      python3-oslo.i18n (>= 1.5.0),
                      python3-oslo.serialization (>= 1.4.0),
                      python3-oslo.utils (>= 2.0.0),
                      python3-oslotest (>= 1.10.0),
                      python3-six,
                      python3-subunit,
-                     python3-tempest-lib (>= 0.9.0),
+                     python3-tempest (>= 1:10.0.0),
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-aodhclient.git/
 Vcs-Git: https://anonscm.debian.org/git/openstack/python-aodhclient.git
 Homepage: http://www.openstack.org
@@ -53,9 +52,8 @@
 
 Package: python-aodhclient
 Architecture: all
-Depends: python-babel (>= 1.3),
-         python-cliff (>= 1.14.0),
-         python-futurist,
+Depends: python-cliff (>= 1.14.0),
+         python-debtcollector,
          python-keystoneauth1 (>= 1.0.0),
          python-oslo.i18n (>= 1.5.0),
          python-oslo.serialization (>= 1.4.0),
@@ -77,9 +75,8 @@
 
 Package: python3-aodhclient
 Architecture: all
-Depends: python3-babel (>= 1.3),
-         python3-cliff (>= 1.14.0),
-         python3-futurist,
+Depends: python3-cliff (>= 1.14.0),
+         python3-debtcollector,
          python3-keystoneauth1 (>= 1.0.0),
          python3-oslo.i18n (>= 1.5.0),
          python3-oslo.serialization (>= 1.4.0),

## python-aodhclient 0.7.0

=== requirements.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 pbr<2.0,>=1.4
 cliff!=1.16.0,>=1.14.0  # Apache-2.0
+osc-lib>=1.0.1 # Apache-2.0
 oslo.i18n>=1.5.0 # Apache-2.0
 oslo.serialization>=1.4.0 # Apache-2.0
 oslo.utils>=2.0.0 # Apache-2.0

=== debian/changelog ===
python-aodhclient (0.7.0-2) unstable; urgency=medium

  [ Thomas Goirand ]
  * Using pkgos-dh_auto_install from openstack-pkg-tools >= 52~.
  * Fixed oslotest EPOCH.

  [ Ondřej Nový ]
  * Uploading to unstable.
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 10:05:54 +0200

python-aodhclient (0.7.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/gbp.conf: Update debian-branch for Newton.
  * d/tests/*: Test python2-aodh and python3-aodh clients and exit on error.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Sep 2016 10:05:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
@@ -23,7 +23,7 @@
                      python-oslo.serialization (>= 1.4.0),
                      python-oslo.utils (>= 2.0.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-six,
                      python-tempest (>= 1:10.0.0),
                      python-testscenarios,
@@ -36,7 +36,7 @@
                      python3-oslo.i18n (>= 1.5.0),
                      python3-oslo.serialization (>= 1.4.0),
                      python3-oslo.utils (>= 2.0.0),
-                     python3-oslotest (>= 1.10.0),
+                     python3-oslotest (>= 1:1.10.0),
                      python3-six,
                      python3-subunit,
                      python3-tempest (>= 1:10.0.0),
@@ -45,8 +45,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-aodhclient.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-aodhclient.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-aodhclient.git/?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-aodhclient.git -b debian/newton
 Homepage: http://www.openstack.org
 XS-Testsuite: autopkgtest

=== debian/rules ===
#!/usr/bin/make -f

MANIFEST_EXCLUDE_STANDARD := aodhclient
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'aodhclient\.tests\.unit\.(?!.*test_client.ClientAuthTest\.test_discover_auth_versions.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-aodhclient-doc/usr/share/doc/python-aodhclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository
	rm -rf doc/man

override_dh_installman:
#ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
#	sphinx-build -b man doc/source doc/man
#	mv doc/man/python-aodhclient.1 doc/man/aodh.1
#	sed -i s/python-aodhclient/python-aodhclient/ doc/man/aodh.1
#	dh_installman -O--buildsystem=python_distutils
#endif

## python-aodhclient 0.8.0

=== debian/changelog ===
python-aodhclient (0.8.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 30 Jan 2017 18:59:11 +0000

python-aodhclient (0.8.0-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 12:57:51 -0500

python-aodhclient (0.7.0-0ubuntu1) yakkety; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/gbp.conf: Update debian-branch for Newton.
  * d/tests/*: Test python2-aodh and python3-aodh clients and exit on error.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Sep 2016 15:49:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: python-aodhclient
 Section: python
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools (>= 52~),
+               openstack-pkg-tools,
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
@@ -19,11 +20,12 @@
                      python-keystoneauth1 (>= 1.0.0),
                      python-keystonemiddleware,
                      python-mock (>= 1.2),
+                     python-osc-lib (>= 1.0.2),
                      python-oslo.i18n (>= 1.5.0),
                      python-oslo.serialization (>= 1.4.0),
                      python-oslo.utils (>= 2.0.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1:1.10.0),
+                     python-oslotest (>= 1.10.0),
                      python-six,
                      python-tempest (>= 1:10.0.0),
                      python-testscenarios,
@@ -33,10 +35,11 @@
                      python3-keystoneauth1 (>= 1.0.0),
                      python3-keystonemiddleware,
                      python3-mock (>= 1.2),
+                     python3-osc-lib (>= 1.0.2),
                      python3-oslo.i18n (>= 1.5.0),
                      python3-oslo.serialization (>= 1.4.0),
                      python3-oslo.utils (>= 2.0.0),
-                     python3-oslotest (>= 1:1.10.0),
+                     python3-oslotest (>= 1.10.0),
                      python3-six,
                      python3-subunit,
                      python3-tempest (>= 1:10.0.0),
@@ -45,8 +48,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-aodhclient.git/?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-aodhclient.git -b debian/newton
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-aodhclient
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-aodhclient
 Homepage: http://www.openstack.org
 XS-Testsuite: autopkgtest
 
@@ -55,6 +58,7 @@
 Depends: python-cliff (>= 1.14.0),
          python-debtcollector,
          python-keystoneauth1 (>= 1.0.0),
+         python-osc-lib (>= 1.0.2),
          python-oslo.i18n (>= 1.5.0),
          python-oslo.serialization (>= 1.4.0),
          python-oslo.utils (>= 2.0.0),
@@ -78,6 +82,7 @@
 Depends: python3-cliff (>= 1.14.0),
          python3-debtcollector,
          python3-keystoneauth1 (>= 1.0.0),
+         python3-osc-lib (>= 1.0.2),
          python3-oslo.i18n (>= 1.5.0),
          python3-oslo.serialization (>= 1.4.0),
          python3-oslo.utils (>= 2.0.0),

## python-aodhclient 0.9.0

=== debian/changelog ===
python-aodhclient (0.9.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 09:51:29 +0100

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
                      python-oslo.utils (>= 2.0.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
+                     python-pyparsing,
                      python-six,
                      python-tempest (>= 1:10.0.0),
                      python-testscenarios,
@@ -40,6 +41,7 @@
                      python3-oslo.serialization (>= 1.4.0),
                      python3-oslo.utils (>= 2.0.0),
                      python3-oslotest (>= 1.10.0),
+                     python-pyparsing,
                      python3-six,
                      python3-subunit,
                      python3-tempest (>= 1:10.0.0),

## python-aodhclient 1.0.0

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-pbr<2.0,>=1.4
+pbr>=1.4
 cliff!=1.16.0,>=1.14.0  # Apache-2.0
 osc-lib>=1.0.1 # Apache-2.0
 oslo.i18n>=1.5.0 # Apache-2.0
@@ -10,4 +10,4 @@
 oslo.utils>=2.0.0 # Apache-2.0
 keystoneauth1>=1.0.0
 six
-debtcollector
+pyparsing

=== debian/changelog ===
python-aodhclient (1.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Feb 2018 09:22:29 -0500

=== debian/control ===
Source: python-aodhclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 1.8),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 1.8),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-cliff (>= 1.14.0),
 python-coverage,
 python-debtcollector,
 python-keystoneauth1 (>= 1.0.0),
 python-keystonemiddleware,
 python-mock (>= 1.2),
 python-openstackdocstheme (>= 1.11.0),
 python-osc-lib (>= 1.0.2),
 python-oslo.i18n (>= 1.5.0),
 python-oslo.serialization (>= 1.4.0),
 python-oslo.utils (>= 2.0.0),
 python-oslosphinx (>= 2.5.0),
 python-oslotest (>= 1.10.0),
 python-pyparsing,
 python-six,
 python-tempest (>= 1:10.0.0),
 python-testscenarios,
 python-testtools (>= 1.4.0),
 python3-cliff (>= 1.14.0),
 python3-debtcollector,
 python3-keystoneauth1 (>= 1.0.0),
 python3-keystonemiddleware,
 python3-mock (>= 1.2),
 python3-openstackdocstheme (>= 1.11.0),
 python3-osc-lib (>= 1.0.2),
 python3-oslo.i18n (>= 1.5.0),
 python3-oslo.serialization (>= 1.4.0),
 python3-oslo.utils (>= 2.0.0),
 python3-oslotest (>= 1.10.0),
 python3-pyparsing,
 python3-six,
 python3-subunit,
 python3-tempest (>= 1:10.0.0),
 python3-testscenarios,
 python3-testtools (>= 1.4.0),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-aodhclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-aodhclient
Homepage: http://www.openstack.org
XS-Testsuite: autopkgtest

Package: python-aodhclient
Architecture: all
Depends:
 python-cliff (>= 1.14.0),
 python-debtcollector,
 python-keystoneauth1 (>= 1.0.0),
 python-osc-lib (>= 1.0.2),
 python-oslo.i18n (>= 1.5.0),
 python-oslo.serialization (>= 1.4.0),
 python-oslo.utils (>= 2.0.0),
 python-pbr (>= 1.8),
 python-pyparsing,
 python-six,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-aodhclient-doc,
Description: OpenStack Alarming as a Service - Python 2.7 client
 Aodh provides alarming for OpenStack. The alarming component of Aodh, first
 delivered in the Havana version, allows you to set alarms based on threshold
 evaluation for a collection of samples. An alarm can be set on a single meter,
 or on a combination. For example, you may want to trigger an alarm when the
 memory consumption reaches 70% on a given instance if the instance has been up
 for more than 10 min.
 .
 This package contains the Python 2.7 module.

Package: python-aodhclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Alarming as a Service - client doc
 Aodh provides alarming for OpenStack. The alarming component of Aodh, first
 delivered in the Havana version, allows you to set alarms based on threshold
 evaluation for a collection of samples. An alarm can be set on a single meter,
 or on a combination. For example, you may want to trigger an alarm when the
 memory consumption reaches 70% on a given instance if the instance has been up
 for more than 10 min.
 .
 This package contains the client documentation.

Package: python3-aodhclient
Architecture: all
Depends:
 python3-cliff (>= 1.14.0),
 python3-debtcollector,
 python3-keystoneauth1 (>= 1.0.0),
 python3-osc-lib (>= 1.0.2),
 python3-oslo.i18n (>= 1.5.0),
 python3-oslo.serialization (>= 1.4.0),
 python3-oslo.utils (>= 2.0.0),
 python3-pbr (>= 1.8),
 python3-pyparsing,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-aodhclient-doc,
Description: OpenStack Alarming as a Service - Python 3.x client
 Aodh provides alarming for OpenStack. The alarming component of Aodh, first
 delivered in the Havana version, allows you to set alarms based on threshold
 evaluation for a collection of samples. An alarm can be set on a single meter,
 or on a combination. For example, you may want to trigger an alarm when the
 memory consumption reaches 70% on a given instance if the instance has been up
 for more than 10 min.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,28 @@
 #!/usr/bin/make -f
 
+PYTHONS:=$(shell pyversions -vr)
+PYTHON3S:=$(shell py3versions -vr)
+
 MANIFEST_EXCLUDE_STANDARD := aodhclient
+
 include /usr/share/openstack-pkg-tools/pkgos.make
+
+export OSLO_PACKAGE_VERSION=$(VERSION)
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
-override_dh_auto_install:
-	pkgos-dh_auto_install
+override_dh_install:
+	set -e ; for pyvers in $(PYTHONS); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python-aodhclient; \
+	done
+	set -e ; for pyvers in $(PYTHON3S); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python3-aodhclient; \
+	done
+	mv $(CURDIR)/debian/python-aodhclient/usr/bin/aodh $(CURDIR)/debian/python-aodhclient/usr/bin/python2-aodh
+	mv $(CURDIR)/debian/python3-aodhclient/usr/bin/aodh $(CURDIR)/debian/python3-aodhclient/usr/bin/python3-aodh
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3

## python-aodhclient 1.1.0

=== debian/changelog ===
python-aodhclient (1.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 22:23:12 +0200

python-aodhclient (1.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 17:29:22 +0200

python-aodhclient (1.0.0-3) unstable; urgency=medium

  * Python 3 client now has priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 12:49:21 +0100

python-aodhclient (1.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:46:12 +0000

python-aodhclient (1.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this released.
  * Standards-Version is now 4.1.3.
  * removed XS-Testsuite from debian/control.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Feb 2018 07:55:07 +0000

python-aodhclient (0.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 23:42:39 +0000

python-aodhclient (0.9.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Using pkgos-dh_auto_{install,test}.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Oct 2017 16:41:11 +0200

=== debian/control ===
Source: python-aodhclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python-cliff,
 python-coverage,
 python-hacking,
 python-keystoneauth1,
 python-keystonemiddleware,
 python-mock,
 python-openstackdocstheme (>= 1.11.0),
 python-osc-lib,
 python-oslo.i18n,
 python-oslo.serialization,
 python-oslo.utils,
 python-oslotest,
 python-pyparsing,
 python-six,
 python-tempest,
 python-testscenarios,
 python-testtools,
 python3-cliff,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-mock,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-pyparsing,
 python3-six,
 python3-tempest,
 python3-testscenarios,
 python3-testtools,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-aodhclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-aodhclient.git
Homepage: http://www.openstack.org

Package: python-aodhclient
Architecture: all
Depends:
 python-cliff,
 python-keystoneauth1,
 python-osc-lib,
 python-oslo.i18n,
 python-oslo.serialization,
 python-oslo.utils,
 python-pbr,
 python-six,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-aodhclient-doc,
Description: OpenStack Alarming as a Service - Python 2.7 client
 Aodh provides alarming for OpenStack. The alarming component of Aodh, first
 delivered in the Havana version, allows you to set alarms based on threshold
 evaluation for a collection of samples. An alarm can be set on a single meter,
 or on a combination. For example, you may want to trigger an alarm when the
 memory consumption reaches 70% on a given instance if the instance has been up
 for more than 10 min.
 .
 This package contains the Python 2.7 module.

Package: python-aodhclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Alarming as a Service - client doc
 Aodh provides alarming for OpenStack. The alarming component of Aodh, first
 delivered in the Havana version, allows you to set alarms based on threshold
 evaluation for a collection of samples. An alarm can be set on a single meter,
 or on a combination. For example, you may want to trigger an alarm when the
 memory consumption reaches 70% on a given instance if the instance has been up
 for more than 10 min.
 .
 This package contains the client documentation.

Package: python3-aodhclient
Architecture: all
Depends:
 python3-cliff,
 python3-keystoneauth1,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-aodhclient-doc,
Description: OpenStack Alarming as a Service - Python 3.x client
 Aodh provides alarming for OpenStack. The alarming component of Aodh, first
 delivered in the Havana version, allows you to set alarms based on threshold
 evaluation for a collection of samples. An alarm can be set on a single meter,
 or on a combination. For example, you may want to trigger an alarm when the
 memory consumption reaches 70% on a given instance if the instance has been up
 for more than 10 min.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

MANIFEST_EXCLUDE_STANDARD := aodhclient

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'aodhclient\.tests\.unit\.(?!.*test_client.ClientAuthTest\.test_discover_auth_versions.*)'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-aodhclient-doc/usr/share/doc/python-aodhclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository
	rm -rf doc/man

override_dh_installman:
#ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
#	sphinx-build -b man doc/source doc/man
#	mv doc/man/python-aodhclient.1 doc/man/aodh.1
#	sed -i s/python-aodhclient/python-aodhclient/ doc/man/aodh.1
#	dh_installman -O--buildsystem=python_distutils
#endif

## python-aodhclient 1.1.1

=== doc/requirements.txt ===
sphinx>=1.6.2 # BSD
openstackdocstheme>=1.11.0 # Apache-2.0

=== debian/changelog ===
python-aodhclient (1.1.1-0ubuntu3) eoan; urgency=medium

  * d/tests/control: Drop test dependency for python-aodhclient.

 -- James Page <james.page@ubuntu.com>  Tue, 01 Oct 2019 09:13:17 +0100

python-aodhclient (1.1.1-0ubuntu2) eoan; urgency=medium

  * Drop Python 2 support:
    - d/control: Drop python-aodhclient binary package
    - d/control: Drop BDI's on python-* packages.
    - d/rules: Tweak to stop build and install of Python 2 parts.
    - d/*.postinst,prerm,postrm: Drop, alternatives no longer needed.

 -- James Page <james.page@ubuntu.com>  Wed, 10 Jul 2019 15:29:24 +0100

python-aodhclient (1.1.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 10:16:44 -0500

python-aodhclient (1.1.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Get orig tarball from tarballs.openstack.org.
    - d/tests/*: Test python2/3 clients.
  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 Jul 2018 14:42:26 -0400

=== debian/control ===
Source: python-aodhclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 1.4),
 python-setuptools,
 python3-all,
 python3-pbr (>= 1.4),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-cliff (>= 1.14.0),
 python3-keystoneauth1 (>= 1.0.0),
 python3-keystonemiddleware,
 python3-mock,
 python3-openstackdocstheme (>= 1.11.0),
 python3-osc-lib (>= 1.0.1),
 python3-oslo.i18n (>= 1.5.0),
 python3-oslo.serialization (>= 1.4.0),
 python3-oslo.utils (>= 2.0.0),
 python3-oslotest,
 python3-pyparsing,
 python3-six,
 python3-subunit,
 python3-tempest,
 python3-testrepository,
 python3-testscenarios,
 python3-testtools,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-aodhclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-aodhclient
Homepage: http://www.openstack.org
Testsuite: autopkgtest-pkg-python

Package: python-aodhclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Alarming as a Service - client doc
 Aodh provides alarming for OpenStack. The alarming component of Aodh, first
 delivered in the Havana version, allows you to set alarms based on threshold
 evaluation for a collection of samples. An alarm can be set on a single meter,
 or on a combination. For example, you may want to trigger an alarm when the
 memory consumption reaches 70% on a given instance if the instance has been up
 for more than 10 min.
 .
 This package contains the client documentation.

Package: python3-aodhclient
Architecture: all
Depends:
 python3-cliff (>= 1.14.0),
 python3-keystoneauth1 (>= 1.0.0),
 python3-osc-lib (>= 1.0.1),
 python3-oslo.i18n (>= 1.5.0),
 python3-oslo.serialization (>= 1.4.0),
 python3-oslo.utils (>= 2.0.0),
 python3-pbr (>= 1.4),
 python3-pyparsing,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-aodhclient-doc,
Description: OpenStack Alarming as a Service - Python 3.x client
 Aodh provides alarming for OpenStack. The alarming component of Aodh, first
 delivered in the Havana version, allows you to set alarms based on threshold
 evaluation for a collection of samples. An alarm can be set on a single meter,
 or on a combination. For example, you may want to trigger an alarm when the
 memory consumption reaches 70% on a given instance if the instance has been up
 for more than 10 min.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -5,17 +5,17 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test 'aodhclient\.tests\.unit\.(?!.*test_client.ClientAuthTest\.test_discover_auth_versions.*)'
+	pkgos-dh_auto_test --no-py2 'aodhclient\.tests\.unit\.(?!.*test_client.ClientAuthTest\.test_discover_auth_versions.*)'
 endif
 
 override_dh_sphinxdoc:

## python-aodhclient 1.3.0

=== debian/changelog ===
python-aodhclient (1.3.0-2) unstable; urgency=medium

  * Switched autopkg test to Python 3 (Closes: #943219).

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Oct 2019 12:05:50 +0200

python-aodhclient (1.3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:04:21 +0200

python-aodhclient (1.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 04:30:21 +0200

python-aodhclient (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Using Python 3 for buildng the doc.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Mar 2019 11:07:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,44 +1,42 @@
 Source: python-aodhclient
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-pbr (>= 1.4),
- python-setuptools,
  python3-all,
- python3-pbr (>= 1.4),
+ python3-pbr,
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python3-cliff (>= 1.14.0),
- python3-keystoneauth1 (>= 1.0.0),
+ python3-cliff,
+ python3-coverage,
+ python3-hacking,
+ python3-keystoneauth1,
  python3-keystonemiddleware,
  python3-mock,
- python3-openstackdocstheme (>= 1.11.0),
- python3-osc-lib (>= 1.0.1),
- python3-oslo.i18n (>= 1.5.0),
- python3-oslo.serialization (>= 1.4.0),
- python3-oslo.utils (>= 2.0.0),
+ python3-openstackdocstheme,
+ python3-osc-lib,
+ python3-oslo.i18n,
+ python3-oslo.serialization,
+ python3-oslo.utils,
  python3-oslotest,
+ python3-osprofiler,
  python3-pyparsing,
  python3-six,
- python3-subunit,
+ python3-stestr,
  python3-tempest,
- python3-testrepository,
  python3-testscenarios,
  python3-testtools,
-Standards-Version: 4.1.3
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-aodhclient
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-aodhclient
+ subunit,
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-aodhclient
+Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-aodhclient.git
 Homepage: http://www.openstack.org
-Testsuite: autopkgtest-pkg-python
 
 Package: python-aodhclient-doc
 Section: doc
@@ -59,14 +57,14 @@
 Package: python3-aodhclient
 Architecture: all
 Depends:
- python3-cliff (>= 1.14.0),
- python3-keystoneauth1 (>= 1.0.0),
- python3-osc-lib (>= 1.0.1),
- python3-oslo.i18n (>= 1.5.0),
- python3-oslo.serialization (>= 1.4.0),
- python3-oslo.utils (>= 2.0.0),
- python3-pbr (>= 1.4),
- python3-pyparsing,
+ python3-cliff,
+ python3-keystoneauth1,
+ python3-osc-lib,
+ python3-oslo.i18n,
+ python3-oslo.serialization,
+ python3-oslo.utils,
+ python3-osprofiler,
+ python3-pbr,
  python3-six,
  ${misc:Depends},
  ${python3:Depends},

## python-aodhclient 2.1.1

=== debian/changelog ===
python-aodhclient (2.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.
  * Removed python3-mock from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 11:46:19 +0200

python-aodhclient (2.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 22:47:38 +0200

python-aodhclient (2.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Apr 2020 17:29:47 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
  python3-hacking,
  python3-keystoneauth1,
  python3-keystonemiddleware,
- python3-mock,
  python3-openstackdocstheme,
  python3-osc-lib,
  python3-oslo.i18n,

## python-aodhclient 2.3.0

=== debian/changelog ===
python-aodhclient (2.3.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 07 Oct 2021 14:46:42 +0000

python-aodhclient (2.3.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 06 Oct 2021 12:34:23 +0000

python-aodhclient (2.1.1-0ubuntu2) impish; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/control: Drop python-pbr, python2 build depends.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 23 Jun 2021 08:04:26 +0000

python-aodhclient (2.1.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Sep 2020 15:23:51 -0400

python-aodhclient (2.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 24 Jul 2020 07:42:20 +0000

python-aodhclient (2.0.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.5.0.
  * d/rules: Switch to pybuild.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 12 Jun 2020 06:12:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,41 +1,42 @@
 Source: python-aodhclient
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper (>= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 1.4),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-cliff,
- python3-coverage,
- python3-hacking,
- python3-keystoneauth1,
+ python3-cliff (>= 1.14.0),
+ python3-keystoneauth1 (>= 1.0.0),
  python3-keystonemiddleware,
- python3-openstackdocstheme,
- python3-osc-lib,
- python3-oslo.i18n,
- python3-oslo.serialization,
- python3-oslo.utils,
+ python3-mock,
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-osc-lib (>= 1.0.1),
+ python3-oslo.i18n (>= 1.5.0),
+ python3-oslo.serialization (>= 1.4.0),
+ python3-oslo.utils (>= 2.0.0),
  python3-oslotest,
- python3-osprofiler,
+ python3-osprofiler (>= 1.4.0),
  python3-pyparsing,
  python3-six,
- python3-stestr,
+ python3-subunit,
  python3-tempest,
+ python3-testrepository,
  python3-testscenarios,
  python3-testtools,
- subunit,
-Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-aodhclient
-Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-aodhclient.git
-Homepage: http://www.openstack.org
+Standards-Version: 4.5.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-aodhclient
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-aodhclient
+Homepage: https://www.openstack.org
+Testsuite: autopkgtest-pkg-python
 
 Package: python-aodhclient-doc
 Section: doc
@@ -56,14 +57,14 @@
 Package: python3-aodhclient
 Architecture: all
 Depends:
- python3-cliff,
- python3-keystoneauth1,
- python3-osc-lib,
- python3-oslo.i18n,
- python3-oslo.serialization,
- python3-oslo.utils,
- python3-osprofiler,
- python3-pbr,
+ python3-cliff (>= 1.14.0),
+ python3-keystoneauth1 (>= 1.0.0),
+ python3-osc-lib (>= 1.0.1),
+ python3-oslo.i18n (>= 1.5.0),
+ python3-oslo.serialization (>= 1.4.0),
+ python3-oslo.utils (>= 2.0.0),
+ python3-pbr (>= 1.4),
+ python3-pyparsing,
  python3-six,
  ${misc:Depends},
  ${python3:Depends},

## python-aodhclient 2.4.1

=== requirements.txt ===
--- 
+++ 
@@ -8,6 +8,7 @@
 oslo.i18n>=1.5.0 # Apache-2.0
 oslo.serialization>=1.4.0 # Apache-2.0
 oslo.utils>=2.0.0 # Apache-2.0
+osprofiler>=1.4.0 # Apache-2.0
 keystoneauth1>=1.0.0
 six
 pyparsing

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0

=== debian/changelog ===
python-aodhclient (2.4.1-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 Mar 2022 13:32:38 -0500

python-aodhclient (2.4.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 11 Jan 2022 16:57:39 -0500

python-aodhclient (2.3.1-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 11 Jan 2022 16:30:48 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,12 @@
 
 MANIFEST_EXCLUDE_STANDARD := aodhclient
 
+export PYBUILD_NAME=aodhclient
+
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_install:
 	pkgos-dh_auto_install --no-py2
@@ -21,11 +23,11 @@
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	sphinx-build -b html doc/source $(CURDIR)/debian/python-aodhclient-doc/usr/share/doc/python-aodhclient-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc -O--buildsystem=pybuild
 endif
 
 override_dh_clean:
-	dh_clean -O--buildsystem=python_distutils
+	dh_clean -O--buildsystem=pybuild
 	rm -rf .testrepository
 	rm -rf doc/man
